com.pixelmed.dicom

## Class GeometryOfSliceFromAttributeList

- java.lang.Object
- - com.pixelmed.geometry.GeometryOfSlice
  - - com.pixelmed.dicom.GeometryOfSliceFromAttributeList

    public class GeometryOfSliceFromAttributeList
    extends GeometryOfSlice

A class to extract and describe the spatial geometry of a single cross-sectional image slice, given a list of DICOM attributes.

### Field Summary

### Fields inherited from class com.pixelmed.geometry.GeometryOfSlice

`C, column, columnArray, dimensions, normal, normalArray, R, row, rowArray, sliceThickness, tlhc, tlhcArray, voxelSpacing, voxelSpacingArray`

### Constructor Summary

Constructors
Constructor and Description
`GeometryOfSliceFromAttributeList(AttributeList list)` Construct the geometry from the Image Plane Module and related attributes.

### Method Summary

### Methods inherited from class com.pixelmed.geometry.GeometryOfSlice

`areSlicesParallel, findMaxComponents, getColumn, getColumnArray, getColumnOrientation, getDimensions, getDistanceAlongNormalFromOrigin, getDistanceAlongNormalFromOrigin, getNormal, getNormalArray, getOrientation, getRow, getRowArray, getRowOrientation, getSliceThickness, getTLHC, getTLHCArray, getVoxelSpacing, getVoxelSpacingArray, isPointInSlicePlane, lookupImageCoordinate, lookupImageCoordinate, lookupImageCoordinate, lookupImageCoordinate, lookupImageCoordinate, lookupImageCoordinate, makeNormal, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GeometryOfSliceFromAttributeList

    public GeometryOfSliceFromAttributeList(AttributeList list)
                                     throws DicomException

Construct the geometry from the Image Plane Module and related attributes.

Parameters:
  `list` - the list of DICOM attributes
Throws:
  `if` - any of the required attributes are missing or incorrectly formed
  `DicomException`